<?php
//********************************************************************
//* Piccy-Cabinet                                                    *
//* Copyright (c) Album-System All rights Reserved.                  *
//* url:http://www.album-system.com/                                 *
//* e-mail:webmaster@album-system.com                                *
//* Create：2007-03-01(Bata1)                                        *
//* Update：2007-06-10(Bata2)                                        *
//* Update：2007-06-30(0.1.00)                                       *
//********************************************************************
//================================================================

//コンフィグファイル読み込み
require_once("config_common.php");
//HTMLテンプレートライブラリ読み込み
require_once(TEMPLATE_LIB);

function disp_common(){
	global $Page;
	global $ConfigArray;
	
	//Copy Right表示部分(変更不可)
	define("COPY_RIGHT","<a href=\"http://www.album-system.com/\" target=\"_blank\" style=\"font-size: 10px;\">(C) www.album-system.com 2007</a></font>");
	
	//スクリプト名
	$Page["PhpSelf"] = $_SERVER["PHP_SELF"];
	$Page["AlbumName"] = cnv_dispstr($ConfigArray["root"]["album_config"]["COMMON"]["album_name"]);
	$Page["BaseTemplatePath"] = TEMPLATE_DIR;
	$Page["Header"] = TEMPLATE_HEADER;
	$Page["Footer"] = TEMPLATE_FOOTER;
	$Page["CopyRight"] = COPY_RIGHT;
	
	$Page["Host"]  = $_SERVER['HTTP_HOST'];
	$Page["Url"]  = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');
}

function disp_info($mod){
	global $Page;
	global $PostArray;
	global $AuthObj;
	log_message(9000,"function(disp_info) START");
	
	disp_common();
	
	switch ($mod) {
		case "internal_end":
			$Page["Title"] = "初期化処理終了";
			$Page["Message"] = "初期化処理が正常終了しました。サイトにログインしてください。";
			$Page["Back"] = $_SERVER["PHP_SELF"];
			break;
		case "server_internal_error":
			$Page["Title"] = "サーバ内部エラー";
			$Page["Message"] = "サーバ内部エラーが発生しました。";
			$Page["Back"] = $_SERVER["PHP_SELF"];
			break;
		case "internal_error":
			$Page["Title"] = "スクリプト内部エラー";
			$Page["Message"] = "スクリプト内部エラーが発生しました。";
			$Page["Back"] = $_SERVER["PHP_SELF"];
			break;
		case "access_error":
			$AuthObj->logout();
			$Page["Title"] = "アクセス権不正処理が行われました。";
			$Page["Message"] = "強制ログアウトが行われました。再度ログインを行ってください。";
			$Page["Back"] = $_SERVER["PHP_SELF"];
			break;
		case "force_delete":
			$Page["Title"] = "強制初期化処理が行われました。";
			$Page["Message"] = "再度セットアップを行ってください。";
			$Page["Back"] = $_SERVER["PHP_SELF"];
			break;
		default:
			$Page["Title"] = "スクリプト内部エラー";
			$Page["Message"] = "ログアウトしました";
			$Page["Back"] = $_SERVER["PHP_SELF"];
			break;
	}
	htmltemplate::t_include(TEMPLATE_INFO,$Page);
}
?>